Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Fix jeweler circular dependency. How embarassing.... #224

  • Loading branch information...
commit d3d89bc802d6d82a103f0f9b450cdb28bf881003 1 parent 62d5f90
@technicalpickles authored
View
11 Gemfile
@@ -1,9 +1,6 @@
source "http://rubygems.org"
source "http://gems.github.com"
-# steal a page from bundler's gemspec:
-# add this directory as jeweler, in order to bundle exec jeweler and use the current working directory
-gem 'jeweler', :path => '.'
gem "rake"
gem "git", ">= 1.2.5"
@@ -30,6 +27,14 @@ group :test do
gem "rake"
end
+# yo dawg, i herd u lieked jeweler
+group :xzibit do
+ # steal a page from bundler's gemspec:
+ # add this directory as jeweler, in order to bundle exec jeweler and use the current working directory
+ gem 'jeweler', :path => '.'
+end
+
+
group :debug do
gem (RUBY_VERSION =~ /^1\.9/ ? "ruby-debug19" : "ruby-debug")
end
View
2  Gemfile.lock
@@ -1,7 +1,7 @@
PATH
remote: .
specs:
- jeweler (1.8.1)
+ jeweler (1.8.2)
bundler (~> 1.0)
git (>= 1.2.5)
rake
View
4 Rakefile
@@ -4,15 +4,13 @@ require 'rubygems'
require 'bundler'
begin
- Bundler.setup(:default, :development)
+ Bundler.setup(:default, :xzibit, :development)
rescue Bundler::BundlerError => e
$stderr.puts e.message
$stderr.puts "Run `bundle install` to install missing gems"
exit e.status_code
end
-$LOAD_PATH.unshift('lib')
-
require 'rake'
require 'jeweler'
View
3  features/support/env.rb
@@ -1,13 +1,12 @@
require 'bundler'
begin
- Bundler.setup(:default, :test)
+ Bundler.setup(:default, :xzibit, :test)
rescue Bundler::BundlerError => e
$stderr.puts e.message
$stderr.puts "Run `bundle install` to install missing gems"
exit e.status_code
end
-$LOAD_PATH.unshift(File.dirname(__FILE__) + '/../../lib')
require 'jeweler'
require 'mocha'
require 'output_catcher'
View
3  jeweler.gemspec
@@ -190,7 +190,6 @@ Gem::Specification.new do |s|
s.specification_version = 3
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
- s.add_runtime_dependency(%q<jeweler>, [">= 0"])
s.add_runtime_dependency(%q<rake>, [">= 0"])
s.add_runtime_dependency(%q<git>, [">= 1.2.5"])
s.add_runtime_dependency(%q<bundler>, ["~> 1.0"])
@@ -201,7 +200,6 @@ Gem::Specification.new do |s|
s.add_development_dependency(%q<cucumber>, ["~> 1.1.4"])
s.add_development_dependency(%q<rcov>, [">= 0"])
else
- s.add_dependency(%q<jeweler>, [">= 0"])
s.add_dependency(%q<rake>, [">= 0"])
s.add_dependency(%q<git>, [">= 1.2.5"])
s.add_dependency(%q<bundler>, ["~> 1.0"])
@@ -213,7 +211,6 @@ Gem::Specification.new do |s|
s.add_dependency(%q<rcov>, [">= 0"])
end
else
- s.add_dependency(%q<jeweler>, [">= 0"])
s.add_dependency(%q<rake>, [">= 0"])
s.add_dependency(%q<git>, [">= 1.2.5"])
s.add_dependency(%q<bundler>, ["~> 1.0"])
View
8 test/test_helper.rb
@@ -1,14 +1,9 @@
require 'test/unit'
require 'rubygems'
-begin
- require 'ruby-debug'
-rescue LoadError
-end
-
require 'bundler'
begin
- Bundler.setup(:default, :test)
+ Bundler.setup(:default, :xzibit, :test)
rescue Bundler::BundlerError => e
$stderr.puts e.message
$stderr.puts "Run `bundle install` to install missing gems"
@@ -23,7 +18,6 @@
require 'git'
require 'time'
-$LOAD_PATH.unshift(File.dirname(__FILE__) + '/../lib')
require 'jeweler'
$LOAD_PATH.unshift(File.dirname(__FILE__))
Please sign in to comment.
Something went wrong with that request. Please try again.